DRUO
Get started
Payments

Create Payment

POSThttps://api.druo.com/payments/create

Creates a payment request and initiates a transaction.

This endpoint creates a Transaction object to process a payment. It supports split payments through the additional recipients parameter and allows scheduling for future processing.

Request body

tenant_idstringRequired

The ID of the tenant that originated the transaction.

amountintegerRequired

The amount of money in the smallest denomination of the currency (e.g., cents for USD). For example, $10.00 USD is represented as 1000.

descriptionstringRequired

A description of the transaction, which may be visible to users in email receipts.

auto_send_receiptbooleanRequired

If set to true, the system will automatically generate and send a receipt using the preferred delivery method.

funding_source_idstringRequired

The ID of the account used to fund this transaction.

statement_descriptorstringRequired

The description reported to financial institutions to appear on your customers' bank statements. Must contain at least one letter and be between 4 and 22 characters. This request may or may not be honored by the institution.

merchant_idstringoptional

The ID of the merchant or sub-merchant to associate with this transaction.

retry_sequence_idstringoptional

The ID of the smart retry sequence to associate with this transaction.

currencystringoptional

The currency code in ISO 4217 format (e.g., USD).

primary_referencestringoptional

An optional primary ID to associate with the transaction for your own database mapping. Maximum 40 characters.

secondary_referencestringoptional

An optional secondary ID to associate with the transaction for your own database mapping. Maximum 40 characters.

metadataobjectoptional

A set of up to 50 key-value pairs that you can attach to the object. Key names can be up to 40 characters and values up to 500 characters.

An array of objects specifying split payment details among multiple merchants.

due_datestringoptional

The date on which this transaction will be processed. Must be a future date in YYYY-MM-DD format.

Response

uuidstringoptional

The transaction's unique UUID.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The transaction's short reference code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
tenantobjectoptional

The details of the tenant that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}
typestringoptional

The transaction type.

Example: PAYMENT
creation_sourcestringoptional

The source platform where the transaction was created.

Example: MERCHANT_PORTAL
amountintegeroptional

The transaction amount in the smallest currency denomination.

Example: 10000
variable_feeintegeroptional

The variable fee amount charged for this transaction.

Example: 300
fixed_feeintegeroptional

The fixed fee amount charged for this transaction.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount to be paid (amount minus total_fee).

Example: 9600
currencyobjectoptional

The currency details of the transaction.

Example: {"code":"USD"}
descriptionstringoptional

The description of this transaction.

Example: Insurance policy renewal - INV12324
remarksstringoptional

Additional internal remarks or context about the transaction status.

Example: REQUESTED_BY_MERCHANT
funding_sourceobjectoptional

The funding source account details.

Example: {"uuid": "acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
statement_descriptorstringoptional

The descriptor that appears on bank statements.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

The primary database reference ID associated with the transaction.

Example: ABC123
secondary_referencestringoptional

The secondary database reference ID associated with the transaction.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Custom metadata key-value pairs associated with the transaction.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason the transaction was declined, if applicable.

Example: INSUFFICIENT_FUNDS
auto_send_receiptbooleanoptional

Indicates whether a transaction receipt will be automatically sent.

Example: false
due_datestringoptional

The scheduled date on which this transaction will be processed.

Example: 2021-11-15
date_created_gmtstringoptional

The timestamp when the transaction was created, in GMT.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The timestamp when the transaction was last updated, in GMT.

Example: 2021-11-15T23:23:38

The transactional detailed breakdown of corresponding split payments created for additional recipients.

NextGETGet Payment